Bug 209852 - Out of tree kernel builds fail on ppc64
Out of tree kernel builds fail on ppc64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ppc64 Linux
low Severity low
: ---
: ---
Assigned To: Janice Girouard - IBM on-site partner
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 18:21 EDT by Jason Baron
Modified: 2013-03-06 01:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 23:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel_fix_seperate_objdir_build.patch (479 bytes, text/plain)
2006-12-17 23:55 EST, IBM Bug Proxy
no flags Details
28606.patch (564 bytes, text/plain)
2007-03-07 18:15 EST, IBM Bug Proxy
no flags Details
rhel_fix_seperate_objdir_build.patch (479 bytes, text/plain)
2007-03-07 18:25 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 28606 None None None Never

  None (edit)
Description Jason Baron 2006-10-06 18:21:45 EDT
Description of problem:


building out of tree object files fails for ppc64 kernels

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. cp ./configs/xen-config .config
2. make O=/tmp/objdir oldconfig
3. make O=/tmp/objdir bzImage
  
Actual results:

cp vmlinux arch/ppc64/boot/bzImage
cp: cannot create regular file `arch/ppc64/boot/bzImage': No such file or directory
make[2]: *** [bzImage] Error 1
make[1]: *** [bzImage] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/kernel-2.6.9/linux-2.6.9'

Expected results:

kernel should build

Additional info:
Comment 1 Jason Baron 2006-10-06 18:23:58 EDT
step one in how to reproduce should really be cp ./configs/ppc64-config .config
Comment 2 IBM Bug Proxy 2006-12-17 23:55:52 EST
Created attachment 143879 [details]
rhel_fix_seperate_objdir_build.patch
Comment 3 IBM Bug Proxy 2006-12-17 23:56:09 EST
----- Additional Comments From tbreeds@au1.ibm.com  2006-12-17 23:53 EDT -------
 
Fix destination of bzImage

The bzImage build target is introduced in patch linux-2.6.2-ppc64-build.patch. 
This patch assumes that the object directory and source tree are the same. 
This attachment updates the appropriate Makefile to place the bzImage in the
object directory. 
Comment 6 Peter Martuccelli 2007-03-06 10:55:06 EST
Janice please submit the patch for PPC to RHKL.
Comment 7 IBM Bug Proxy 2007-03-07 18:15:29 EST
Created attachment 149531 [details]
28606.patch
Comment 8 IBM Bug Proxy 2007-03-07 18:15:55 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
  Attachment #23161|0                           |1
        is obsolete|                            |




------- Additional Comments From girouard@us.ibm.com  2007-03-07 18:12 EDT -------
 
updated patch, the existing patch appears out of date 
Comment 9 IBM Bug Proxy 2007-03-07 18:25:26 EST
Created attachment 149532 [details]
rhel_fix_seperate_objdir_build.patch
Comment 10 IBM Bug Proxy 2007-03-07 18:26:02 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
  Attachment #25864|0                           |1
        is obsolete|                            |




------- Additional Comments From girouard@us.ibm.com  2007-03-07 18:20 EDT -------
 
Fix destination of bzImage (reverting to original patch)

The original patch was fine.  My mistake.  There is no way to undo an obsolete
mark, so I'm reposting it with the same name. 
Comment 11 Janice Girouard - IBM on-site partner 2007-03-07 18:44:58 EST
Changing the status to POST.  See:
http://post-office.corp.redhat.com/archives/rhkernel-list/2007-March/msg00186.html
Comment 12 Janice Girouard - IBM on-site partner 2007-03-08 11:14:40 EST
ACK as shown at:
http://post-office.corp.redhat.com/archives/rhkernel-list/2007-March/msg00191.html
Comment 14 Jason Baron 2007-03-28 12:56:16 EDT
committed in stream U5 build 52. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/
Comment 16 IBM Bug Proxy 2007-03-28 16:25:54 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|SUBMITTED                   |ACCEPTED




------- Additional Comments From mjwolf@us.ibm.com  2007-03-28 16:23 EDT -------
marking as accepted based on above comments 
Comment 18 IBM Bug Proxy 2007-04-17 00:10:35 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ACCEPTED                    |CLOSED
             Impact|------                      |Functionality




------- Additional Comments From mranweil@us.ibm.com (prefers email at mjr@us.ibm.com)  2007-04-17 00:02 EDT -------
In the -54 kernel, so ok to close this side. 
Comment 19 Red Hat Bugzilla 2007-05-07 23:48:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.